Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 227380 - deltarpm: $RPM_OPT_FLAGS not used
Summary: deltarpm: $RPM_OPT_FLAGS not used
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: deltarpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 18:40 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-12 19:23:28 UTC
Type: ---


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS (562 bytes, patch)
2007-02-05 18:40 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-05 18:40:33 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

deltarpm is built without $RPM_OPT_FLAGS, resulting in no optimization nor
compiler security features and more or less useless debuginfo.  Fix attached.

By the way, Warren, any idea why the maintainer of this package in Bugzilla is
extras-orphan?  owners.list says ajackson.

Comment 1 Ville Skyttä 2007-02-05 18:40:33 UTC
Created attachment 147389 [details]
Use $RPM_OPT_FLAGS

Comment 2 Ville Skyttä 2007-02-05 18:48:17 UTC
(Ah, I just read
http://www.redhat.com/archives/fedora-maintainers/2007-February/msg00097.html
about the owners.list issue)

Comment 3 Adam Jackson 2007-02-12 19:23:07 UTC
Fixed in 3.3-7, thanks!


Note You need to log in before you can comment on or make changes to this bug.